View Issue Details

IDProjectCategoryView StatusLast Update
0000515bareos-core[All Projects] file daemonpublic2015-11-30 18:46
ReportermaugsburgerAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows ServerOS Version2008 R2
Product Version 
Target VersionFixed in Version 
Summary0000515: MSSQL Incremental Backups not restorable to files
DescriptionUsing 15.3.0 or 14.2, I can't use the restore to file capability of the mssql plugin, because windows does not allow : in file names.

See log below for inforamtion, db-diff and db-full get restored fine.

11-Sep 11:23 rackstation-sd JobId 2920: End of Volume at file 7 on device "volume1" (/volume1/bareos/storage/), Volume "Event-0094"
11-Sep 11:23 rackstation-sd JobId 2920: Ready to read from volume "Event-0096" on device "volume1" (/volume1/bareos/storage/).
11-Sep 11:23 rackstation-sd JobId 2920: Forward spacing Volume "Event-0096" to file:block 7:2559373183.
11-Sep 11:23 ses4-vses-fd JobId 2920: -rwx------ 0 0 0 0 2015-09-11 00:28:58 C:\rst/@MSSQL/default/vses/db-diff
11-Sep 11:23 rackstation-sd JobId 2920: End of Volume at file 10 on device "volume1" (/volume1/bareos/storage/), Volume "Event-0096"
11-Sep 11:23 rackstation-sd JobId 2920: End of all volumes.
11-Sep 11:23 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 01:01:17: ERR=No child processes
11-Sep 11:23 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 02:03:24: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 03:06:25: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 04:00:58: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 05:00:59: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 06:00:57: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 07:01:01: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 08:01:17: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 09:01:48: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 10:03:07: ERR=No child processes
11-Sep 11:24 ses4-vses-fd JobId 2920: Error: findlib/create_file.c:224 Could not create C:\rst/@MSSQL/default/vses/log-2015-09-11 11:02:29: ERR=No child processes
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

child of 0000474 closed Release bareos-14.2.6 

Activities

mvwieringen

mvwieringen

2015-10-09 20:34

developer   ~0001872

Fix committed to bareos master branch with changesetid 5682.
mvwieringen

mvwieringen

2015-11-17 12:01

developer   ~0001973

Fix committed to bareos bareos-14.2 branch with changesetid 5796.

Related Changesets

bareos: master 4f90c60c

2015-10-07 22:32:05

Michael Kolomiets


Committer: mvwieringen

Ported: N/A

Details Diff
MSSQL Incremental Backups not restorable to files

Fixes 0000515: MSSQL Incremental Backups not restorable to files

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000515
mod - src/win32/plugins/filed/mssqlvdi-fd.c Diff File

bareos: bareos-14.2 41ddefde

2015-10-07 22:32:05

Michael Kolomiets


Committer: mvwieringen

Ported: N/A

Details Diff
MSSQL Incremental Backups not restorable to files

Fixes 0000515: MSSQL Incremental Backups not restorable to files

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000515
mod - src/win32/plugins/filed/mssqlvdi-fd.c Diff File

Issue History

Date Modified Username Field Change
2015-09-11 11:43 maugsburger New Issue
2015-10-09 20:34 mvwieringen Changeset attached => bareos master 4f90c60c
2015-10-09 20:34 mvwieringen Note Added: 0001872
2015-10-09 20:34 mvwieringen Status new => resolved
2015-10-09 20:34 mvwieringen Resolution open => fixed
2015-11-17 12:01 mvwieringen Changeset attached => bareos bareos-14.2 41ddefde
2015-11-17 12:01 mvwieringen Note Added: 0001973
2015-11-30 18:46 joergs Relationship added child of 0000474